Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.persistence
Class ManualProcessTransactionManager

    java.lang.Object
      org.drools.persistence.map.ManualTransactionManager
          org.jbpm.persistence.ManualProcessTransactionManager

All Implemented Interfaces:
  org.drools.persistence.TransactionManager

    public class ManualProcessTransactionManager

extends org.drools.persistence.map.ManualTransactionManager

Field Summary

Fields inherited from interface org.drools.persistence.TransactionManager
`STATUS_ACTIVE, STATUS_COMMITTED, STATUS_NO_TRANSACTION, STATUS_ROLLEDBACK, STATUS_UNKNOWN`

Constructor Summary
`ManualProcessTransactionManager(NonTransactionalProcessPersistentSession session, ProcessStorage storage)`

Method Summary
`void` | `commit(boolean transactionOwner)`

Methods inherited from class org.drools.persistence.map.ManualTransactionManager
`begin, getResource, getStatus, putResource, registerTransactionSynchronization, rollback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManualProcessTransactionManager

    public ManualProcessTransactionManager(NonTransactionalProcessPersistentSession session,
                                           ProcessStorage storage)

Method Detail

### commit

    public void commit(boolean transactionOwner)

  Specified by:
    `commit` in interface `org.drools.persistence.TransactionManager`
  Overrides:
    `commit` in class `org.drools.persistence.map.ManualTransactionManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.